Loading...
Searching...
No Matches
nanoflann::KDTreeIncrementalIndexParams Struct Reference
nanoflann C++ library for KD-trees » KD-tree classes and adaptors

`#include <nanoflann.hpp>`

## Public Member Functions

| KDTreeIncrementalIndexParams (float alpha_balance_=0.75f, float alpha_deleted_=0.5f)

## Public Attributes

float | alpha_balance
float | alpha_deleted

## Detailed Description

Parameters for KDTreeSingleIndexIncrementalAdaptor.

The two alpha_* thresholds drive the weight-balanced (scapegoat-style) partial rebuilds:

- alpha_balance : a subtree is rebuilt when the larger of its two child subtrees holds more than this fraction of the subtree's points. Lower values keep the tree better balanced (faster queries) at the price of more frequent rebuilds. Typical range [0.55, 0.85].
- alpha_deleted : a subtree is rebuilt (physically dropping tombstoned points) when the fraction of removed points in it exceeds this value. Lower values reclaim memory more aggressively. Typical range [0.3, 0.7].

The documentation for this struct was generated from the following file:

- include/nanoflann.hpp